package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcIdcUnit;

/**
 * IDC单位Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcIdcUnitMapper 
{
    /**
     * 查询IDC单位
     * 
     * @param id IDC单位主键
     * @return IDC单位
     */
    public TcIdcUnit selectTcIdcUnitById(Long id);

    /**
     * 查询IDC单位列表
     * 
     * @param tcIdcUnit IDC单位
     * @return IDC单位集合
     */
    public List<TcIdcUnit> selectTcIdcUnitList(TcIdcUnit tcIdcUnit);

    /**
     * 新增IDC单位
     * 
     * @param tcIdcUnit IDC单位
     * @return 结果
     */
    public int insertTcIdcUnit(TcIdcUnit tcIdcUnit);

    /**
     * 修改IDC单位
     * 
     * @param tcIdcUnit IDC单位
     * @return 结果
     */
    public int updateTcIdcUnit(TcIdcUnit tcIdcUnit);

    /**
     * 删除IDC单位
     * 
     * @param id IDC单位主键
     * @return 结果
     */
    public int deleteTcIdcUnitById(Long id);

    /**
     * 批量删除IDC单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcIdcUnitByIds(Long[] ids);
}
